<?php get_header(); ?>

<?php //if( function_exists("get_smooth_slider") ){ get_smooth_slider( $slider_id="1"); } ?>


<div class="categories-slides">
	<?php foreach (get_categories() as $cat) : ?>
	<?php if ((z_taxonomy_image_url($cat->term_id))){
	?>
			<div class="slide-cat" style="background-image: url('<?php echo z_taxonomy_image_url($cat->term_id); ?>');">
				<span class="container_bouton"><a class="bouton" href="<?php echo get_category_link($cat->term_id); ?>"><?php echo $cat->description; ?></a></span>
			</div>
	<?php
		}
	?>
	<?php endforeach; ?>
</div>

<section class="wrapper content">

<!-- LAST TWO POSTS -->
<h2>Attualità <span class="container_bouton"><a class="bouton" href="http://www.ge2018.ch/fr/category/news-it/">Visualizzare tutto</a></span></h2>

<ul>
<?php

	// Arguments for the query
	$args = array( 'category_name' => 'news-it', 'posts_per_page'   => 2);

	// Custom query
	$query = new WP_Query( $args );

	$i = 0;

	if ( $query->have_posts() ) {
		while ( $query->have_posts() ) {
			$query->the_post();
			// do stuff
			$i ++;

			echo '<li class="short_post">';

			if ( has_post_thumbnail() )
			{
				echo '<div class="image_short_post"  style="background-image:url('.get_the_post_thumbnail_url().')"> </div>';
			}

			
			echo '<div class="infos_short_post">';
			echo '<span class="date">' . get_the_date() . '</span>';
			echo '<h3><a href="' . get_permalink() . '">' .  get_the_title() .'</a></h3>';


			echo '<span class="container_bouton"><a class="bouton" href="' . get_permalink() . '">Saperne di più...</a></span></li></div>';

			if ($i == 1)
			{
				echo "<hr/>";
			}
		}
		wp_reset_postdata();
	} else {
		// none were found
	}
?>
</ul>
</section><!-- /.wrapper -->

<div id="wrapper_parrains_marraines">
	<h2>Ambasciatori 
		<span class="container_bouton"><a class="bouton" href="http://www.ge2018.ch/it/ambasciatori/">Visualizzare tutto</a></span>
	</h2>
	
	<div class="multiple-items">
		<?php

			// Arguments for the query
			$args = array( 'category_name' => 'parrains-marraines');

			// Custom query
			$query = new WP_Query( $args );

			$i = 0;

			if ( $query->have_posts() )
			{
				while ( $query->have_posts() )
				{
					$query->the_post();
					// do stuff
					$i ++;
					
					echo '<div class="parrain_marraine">';

						if ( has_post_thumbnail() )
						{
							echo '<div class="portrait_pm" style="background-image:url('
								.get_the_post_thumbnail_url().
								');"><span>'
								.get_the_title().
								'</span></div>';
						}

						echo '<div class="contenu_pm"><span class="parrain_marraine_citation">' . get_the_content().
							'</span>';

						echo '<span class="parrain_marraine_nom">'
							.get_the_title().
							'</span></div>';

					echo '</div>';
				}
				wp_reset_postdata();
			}
			else
			{
				// none were found
			}
		?>

	</div><!-- /slider -->
</div><!-- /#wrapper_parrains_marraines -->

<!-- emplacement widgets trailer et facebook -->
<ul class="wrapper widgets_accueil">
	<?php if ( !function_exists( 'dynamic_sidebar' ) || !dynamic_sidebar('homepage_widgets') ) ?>
</ul>	

<script type="text/javascript" src="//code.jquery.com/jquery-1.11.0.min.js"></script>
<script type="text/javascript" src="//code.jquery.com/jquery-migrate-1.2.1.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/JS/slick/slick.min.js"></script>
<script type="text/javascript">
	$('.multiple-items').slick(
	{
		infinite: true,
		slidesToShow: 2,
		slidesToScroll: 1
	});

	$('.categories-slides').slick(
	{
		infinite: true,
		slidesToShow: 1,
		slidesToScroll: 1
	});
</script>


</section><!--/.wrapper-->

<?php get_sidebar(); ?>
<?php get_footer(); ?>