<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<link rel="stylesheet" type="text/css" href="<?php echo get_stylesheet_uri(); ?>" />
<link href="https://fonts.googleapis.com/css?family=Roboto:400,500" rel="stylesheet">

<script src="<?php echo get_template_directory_uri(); ?>/JS/jquery-3.1.1.min.js"></script>
<script src="<?php echo get_template_directory_uri(); ?>/JS/jquery.countdown.min.js"></script>
<script src="<?php echo get_template_directory_uri(); ?>/JS/jquery.parallax.js"></script>
<script src="<?php echo get_template_directory_uri(); ?>/JS/moment.js"></script>
<script src="<?php echo get_template_directory_uri(); ?>/JS/moment-timezone.js"></script>

<script src="<?php echo get_template_directory_uri(); ?>/JS/jquery.fittext.js"></script>



<!--SLICK-->
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/JS/slick/slick.css"/>
<!-- Add the new slick-theme.css if you want the default styling -->
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/JS/slick/slick-theme.css"/>

<?php wp_head(); ?>
</head>

<div  id="theBackground">
</div>

<body <?php body_class(); ?>>
<!--facebook script-->
<!--
<div id="fb-root"></div>
<script>
(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/fr_FR/sdk.js#xfbml=1&version=v2.8";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));
</script>
-->
<!--end facebook script-->

<div class="wrapper" class="hfeed">

<header id="header" role="banner">
	<div class="headerrow a">
		<section id="branding">
		<div class="site-title"><?php if ( is_front_page() || is_home() || is_front_page() && is_home() ) { echo '<h1>'; } ?><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_html( get_bloginfo( 'name' ) ); ?>" rel="home"><span><?php echo esc_html( get_bloginfo( 'name' ) ); ?></span></a><?php if ( is_front_page() || is_home() || is_front_page() && is_home() ) { echo '</h1>'; } ?></div>
		<!--<div id="site-description"><?php //bloginfo( 'description' ); ?></div>-->
		</section>

		<div id="social_header">
			<ul class="social_links">
				<li><a href="https://www.facebook.com/GE2018/" target="_blank" class="pictolien facebook"><span>Facebook</span></a></li>
				<!--<li><a href="#" class="pictolien twitter"><span>Twitter</span></a></li>
				<li><a href="#" class="pictolien instagram"><span>Instagram</span></a></li>-->
			</ul>
		</div>

		<div class="other_links">
			<ul>
				<?php if (pll_current_language(locale) == "de_CH"){
						echo '<li><a href="http://www.ge2018.ch/de/kontakt/" id="contact_header">Kontakt</a></li>
							  <li><a href="http://www.ge2018.ch/de/newsletter-de/" id="newsletter_header">Newsletter</a></li>';
					}else if (pll_current_language(locale) == "fr_FR"){
						echo '<li><a href="http://www.ge2018.ch/fr/contact/" id="contact_header">Contact</a></li>
							  <li><a href="http://www.ge2018.ch/fr/newsletter/" id="newsletter_header">Newsletter</a></li>';
					}else if (pll_current_language(locale) == "it_IT"){
						echo '<li><a href="http://www.ge2018.ch/it/contatto/" id="contact_header">Contatto</a></li>
							  <li><a href="http://www.ge2018.ch/it/newsletter-it/" id="newsletter_header">Newsletter</a></li>';
					}?>
				<?php if ( !function_exists( 'dynamic_sidebar' ) || !dynamic_sidebar('language_selector') ) ?>
			</ul>
		</div>
	</div><!--/.headerrow.a-->


	<div class="headerrow b">
		<div class="countdown" id="countdownyears"></div>
		<script type="text/javascript">

			targetDate = moment.tz("2018-05-24" , "Europe/Berlin")

			$("#countdownyears").countdown(targetDate.toDate(), function(event) {
				annee = event.strftime('%-Y');
				jours = event.strftime('%-D') % 365;
				heures = event.strftime('%H');
				minutes = event.strftime('%M');
				secondes = event.strftime('%S');

				<?php if (pll_current_language(locale) == "de_CH"){ ?>
					$(this).html(
					//'<span class="contarebour">'+
					//annee+'<span>année</span></span> '+
					'<span class="contarebour">'+
					jours+'<span>Tage</span></span> '+
					'<span class="contarebour">'+
					heures+'<span>Stunden</span></span> '+
					'<span class="contarebour">'+
					minutes+'<span>Minuten</span></span> '+
					'<span class="contarebour">'+
					secondes+'<span>Sekunden</span></span>');
				<?php }else if (pll_current_language(locale) == "fr_FR"){ ?>
					$(this).html(
					//'<span class="contarebour">'+
					//annee+'<span>année</span></span> '+
					'<span class="contarebour">'+
					jours+'<span>jours</span></span> '+
					'<span class="contarebour">'+
					heures+'<span>heures</span></span> '+
					'<span class="contarebour">'+
					minutes+'<span>minutes</span></span> '+
					'<span class="contarebour">'+
					secondes+'<span>secondes</span></span>');
				<?php }else if (pll_current_language(locale) == "it_IT"){ ?>
					$(this).html(
					//'<span class="contarebour">'+
					//annee+'<span>année</span></span> '+
					'<span class="contarebour">'+
					jours+'<span>giorni</span></span> '+
					'<span class="contarebour">'+
					heures+'<span>ore</span></span> '+
					'<span class="contarebour">'+
					minutes+'<span>minuti</span></span> '+
					'<span class="contarebour">'+
					secondes+'<span>secondi</span></span>');
				<?php } ?>

				
			});
		</script>

		<div class="inscriptions">
			<ul>
				<li class="container_bouton"><a class="bouton" href="http://nationalsummergames2018.ch/fr/">Formulaire de pré-inscription</a></li>
				<li class="container_bouton"><a class="bouton" href="http://nationalsummergames2018.ch/">Formular Voranmeldung</a></li>
				<li class="container_bouton"><a class="bouton" href="http://nationalsummergames2018.ch/it/">Formulario pre-iscrizione</a></li>
			</ul>
		</div>
	</div><!--/.headerrow.b-->



<nav id="menu" role="navigation">
<?php wp_nav_menu( array( 'theme_location' => 'main-menu' ) ); ?>
</nav>
</header>
</div><!--/.wrapper-->
